{% extends "base.html" %}
{% load static %}
{% load crispy_forms_tags %}
{% load humanize %}
{% load rules %}
{% load mensagem_tags %}
{% block content %}
    {% has_perm 'territorio.visualizar' user territorio as pode_visualizar_territorio %}
    {% has_perm 'admin_geral' user as admin_geral %}
    {% if pode_visualizar_territorio %}
        <h3>
            {{ titulo }}
            <a href="{{ territorio.get_absolute_url }}"
               style="float: right"
               class="btn btn-primary btn-sm"><i class="fa fa-close mr-1"></i> Voltar</a>
        </h3>
        <div class="row">
            <div class="col-md-4">
                <h3>Mensagens</h3>
                {% if mensagens_antigas|length > 0 %}
                    <table class="table table-bordered fit-to-page">
                        <tbody>
                            {% for mensagem in mensagens_antigas %}
                                <tr class="{% if mensagem.remetente_id == user.id %}mensagem_enviada{% else %}mensagem_recebida{% endif %}">
                                    <td>
                                        <div>
                                            <strong class="mensagem_meta">{{ mensagem.remetente }}:</strong>
                                            <br />
                                            {{ mensagem.texto|linebreaksbr }}
                                            <br />
                                            <span class="mensagem_meta">{{ mensagem.data_envio|date:"G:i" }} | {{ mensagem.data_envio|naturalday }}
                                                {% if not mensagem.origin_is_device %}
                                                    {% mensagem_status mensagem %}
                                                {% endif %}
                                            </span>
                                        </div>
                                    </td>
                                </tr>
                            {% endfor %}
                        </tbody>
                    </table>
                {% endif %}
                <div class="mt-5">{% crispy form %}</div>
            </div>
            {% if admin_geral %}
                <div class="col-md-8">
                    <h3>SAC</h3>
                    {% crispy sac_form %}
                </div>
            {% endif %}
        </div>
    {% endif %}
{% endblock content %}
